declare @id_funcionalidadMaestros as int
declare @id_funcionalidadEventos as int
declare @id_funcionalidadEstadoEvento as int
declare @uid varchar(50)
select @uid= uid from seg_usuario where id=1

select top 1 @id_funcionalidadMaestros=id from  gui_funcionalidad where funcionalidad='MAESTROS' and id_funcionalidad=0 and id_tipoFuncionalidad=6
select top 1 @id_funcionalidadEventos=id from  gui_funcionalidad where funcionalidad='Eventos' and id_tipoFuncionalidad=3 and url='/forms/dis/dis_evento.aspx'

if not exists(select * FROM gui_funcionalidad  where funcionalidad='Estado Evento' and id_funcionalidad=@id_funcionalidadMaestros and id_tipoFuncionalidad=3)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Estado Evento',@id_funcionalidadMaestros,3,'/forms/dis/dis_estadoEvento.aspx','',1,'','','','dis_estadoEvento','',7)
set @id_funcionalidadEstadoEvento=@@IDENTITY
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Info Basica',@id_funcionalidadEstadoEvento,1,'','',0,'','','','dis_estadoEvento','',1)
end

if not exists(select * FROM gui_funcionalidad  where funcionalidad='Historico Estatus' and id_funcionalidad=@id_funcionalidadEventos and id_tipoFuncionalidad=2)
begin
INSERT INTO [gui_funcionalidad]([uid],[eid],[id_usuario_modifico],[id_usuario_creo],[fechaModificacion],[fechaCreacion],[active],[funcionalidad],[id_funcionalidad],[id_tipoFuncionalidad],[url],[toolTip],[esMenu],[urlFormulario],[urlImagen],[targetUrl],[nombreControl],[nombreComando],[orden])VALUES(@uid,'01',1,1,getdate(),getdate(),1,'Historico Estatus',@id_funcionalidadEventos,2,'','',0,'','dis_historicoEstatus.jpg','','pop_historicoEstatus','historicoEstatus',1)
end